{ lib, stdenvNoCC, fetchurl }:

stdenvNoCC.mkDerivation {
  pname = "apple-emoji";
  version = "latest";

  src = fetchurl {
    url =
      "https://github.com/samuelngs/apple-emoji-linux/releases/latest/download/AppleColorEmoji.ttf";
    hash = "sha256-SG3JQLybhY/fMX+XqmB/BKhQSBB0N1VRqa+H6laVUPE=";
  };

  unpackPhase = ":";

  installPhase = ''
    install -Dm644 $src -t $out/share/fonts/truetype
  '';

  meta = with lib; {
    description = "Apple color emoji";
    homepage = "https://github.com/samuelngs/apple-emoji-linux";
    #changelog = "https://github.com/slavfox/Cozette/blob/v.${version}/CHANGELOG.md";
    license = licenses.mit;
    platforms = platforms.all;
    # maintainers = with maintainers; [ brettlyons marsam ];
  };
}
