{ lib, stdenvNoCC, fetchzip }:

stdenvNoCC.mkDerivation rec {
  pname = "phosphor-icons";
  version = "2.0.2";

  src = fetchzip {
    url =
      "https://github.com/phosphor-icons/web/archive/refs/tags/v${version}.zip";
    hash = "sha256-ySvAcGW23cm+jFQwadoUiNMeBcs2N4dbzzGorAoo7kI=";
  };

  installPhase = ''
    runHook preInstall

    find . -type f -name "*.ttf" -exec mv {} . \;
    install -Dm644 *.ttf -t $out/share/fonts/truetype
    #install -Dm644 *.woff -t $out/share/fonts/woff
    #install -Dm644 *.woff2 -t $out/share/fonts/woff2

    runHook postInstall
  '';

  meta = with lib; {
    description =
      "A flexible icon family for interfaces, diagrams, & presentations.";
    homepage = "https://phosphoricons.com/";
    license = licenses.mit;
    platforms = platforms.all;
  };
}
